// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.
// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$starwars-primary: mat-palette($mat-indigo);
$starwars-accent: mat-palette($mat-pink, A200, A100, A400);
// The warn palette is optional (defaults to red).
$starwars-warn: mat-palette($mat-red);
// Create the theme object (a Sass map containing all of the palettes).
$starwars-theme: mat-light-theme($starwars-primary, $starwars-accent, $starwars-warn);
// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($starwars-theme);
html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

.container{
  width: 100%;
  margin:auto;
  @media(min-width:992px){
    max-width:1280px;
  }
}

.example-spacer {
  flex: 1 1 auto;
}

h1,h2,h3,h4,h5{
  margin:0 0 !important
}
